﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTree;

namespace WindowsFormsApplication23
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Infragistics.Win.UltraWinTree.Override ovr;
            ovr = this.ultraTree1.Override;
            ovr.HotTracking = DefaultableBoolean.True;
            ovr.BorderStyleNode = UIElementBorderStyle.Solid;
            ovr.NodeAppearance.BorderColor = Color.Transparent;
            ovr.HotTrackingNodeAppearance.BorderColor = Color.Blue;
        }

        private void ultraTree1_AfterActivate(object sender, Infragistics.Win.UltraWinTree.NodeEventArgs e)
        {
            
        }

        private void ultraTree1_MouseClick(object sender, MouseEventArgs e)
        {
            if (isInImage)
            {
                Console.WriteLine("CLICKED");
            }
        }

        bool isInImage = false;
        private void ultraTree1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is NodeTextUIElement)
            {
                if (ultraTree1.HotTrackingNode != null && !ultraTree1.HotTrackingNode.HasRightImages)
                    ultraTree1.HotTrackingNode.RightImages.Add(SystemIcons.Asterisk.ToBitmap());
            }
            if (e.Element is ImageUIElement && e.Element.Parent is NodeSelectableAreaUIElement)
            {
                isInImage = true;
            }
            else isInImage = false;
        }

        private void ultraTree1_MouseLeaveElement(object sender, UIElementEventArgs e)
        {
            if (e.Element is NodeTextUIElement)
            {
                if (ultraTree1.HotTrackingNode != null && ultraTree1.HotTrackingNode.HasRightImages)
                    ultraTree1.HotTrackingNode.ResetRightImages();
            }
        }
    }
}
